/*
 * File:        aps12c32slk.c
 * Purpose:     APS12C32SLK initialization routines to configure APSLK I/O interfaces
 *
 * Notes:
 */

#include "aps12c32slk.h"

/* Local function prototypes */

/* On-board interfaced components */
void APSLK_PB_Init(void);
void APSLK_LED_Init(void);
//void APSLK_POT_Init(void);

/************************************************************************************************/

/* Initialization routine to configure pins as inputs to read PBx level. */
void APSLK_PB_Init(void)
{

  /* Makes PTP[0:1] an input pin to allow the user to read APSLK_PB2 in application. */
  DDRP &= ~DDRP_DDRP1_MASK;
  DDRP &= ~DDRP_DDRP0_MASK;
           
}

/************************************************************************************************/

/* Initialization routine to configure pins as outputs to write LEDx level. */
void APSLK_LED_Init(void)
{


  /* Makes PTB[4:5] output pins to allow the user to turn on/off APSLK_LED[2]
     in application. */
  DDRB |= DDRB_BIT4_MASK;
  DDRB |= DDRB_BIT5_MASK;
  /* Insert user code here to initialize UNDEFINED APSLK LEDs */
}


/************************************************************************************************/
